package messenger

//go:generate mockgen -source=$GOFILE -destination=mocks/$GOFILE -package=mocks

import "context"

type Message struct {
	ChatID string
	UserID string
	Text   string
}

type IMessenger interface {
	GetMessage(ctx context.Context) (*Message, error)
	SendMessage(ctx context.Context, msg *Message) error
}
